Summary: Man (manual) pages from the Linux Documentation Project.
Name: man-pages
%define	version	1.23
Version: %{version}
Release: 1
Copyright: distributable
Group: Documentation
Source: ftp://ftp.win.tue.nl/pub/linux/man/man-pages-%{version}.tar.gz
Patch0: man-pages.patch 
Buildroot: /var/tmp/man-pages
Autoreqprov: false
BuildArchitectures: noarch

%description
A large collection of man pages (reference material) from the Linux 
Documentation Project (LDP).  The man pages are organized into the
following sections:

        Section 1:  User commands (intro only)
        Section 2:  System calls
        Section 3:  Libc calls
        Section 4:  Devices (e.g., hd, sd)
        Section 5:  File formats and protocols (e.g., wtmp, /etc/passwd,
                nfs)
        Section 6:  Games (intro only)
        Section 7:  Conventions, macro packages, etc. (e.g., nroff, ascii)
        Section 8:  System administration (intro only)

%prep
%setup -q
%patch0 -p1 -b .mike

%build
rm -fv man1/{chgrp,chmod,chown,cp,dd,df,dircolors,du,install}.1
rm -fv man1/{ln,ls,mkdir,mkfifo,mknod,mv,rm,rmdir,touch}.1
rm -fv man2/modules.2 man2/quotactl.2 man2/get_kernel_syms.2 
rm -fv man2/{create,delete,init,query}_module.2
rm -fv man3/resolver.3
rm -fv man3/getnetent.3
rm -fv man4/console.4
rm -fv man5/exports.5
rm -fv man5/nfs.5
rm -fv man5/fstab.5
rm -fv man5/lilo* man8/lilo*

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/usr/man
for n in 1 2 3 4 5 6 7 8; do
	mkdir $RPM_BUILD_ROOT/usr/man/man$n
done
for n in man?/*; do
	cp -a $n $RPM_BUILD_ROOT/usr/man/$n
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,man,2755)
/usr/man/man*/*

%changelog
* Tue Mar 30 1999 Steve Snyder <ssnyder@indy.net>
- updated to v1.23 (from Redhat's v1.121-4 RPM)

* Fri Feb 12 1999 Michael Maher <mike@redhat.com>
- fixed bug #413

* Mon Jan 18 1999 Cristian Gafton <gafton@redhat.com>
- remove lilo man pages too
- got rebuilt for 6.0

* Tue Sep 08 1998 Cristian Gafton <gafton@redhat.com>
- version 1.21

* Sat Jun 20 1998 Jeff Johnson <jbj@redhat.com>
- updated to 1.20

* Wed May 06 1998 Cristian Gafton <gafton@redhat.com>
- get rid of the modutils man pages
- updated to 1.19

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 08 1998 Erik Troan <ewt@redhat.com>
- updated to 1.18

* Sun Oct 19 1997 Erik Troan <ewt@redhat.com>
- updated to 1.17
- moved build root to /var

* Thu Jul 31 1997 Erik Troan <ewt@redhat.com>
- made a noarch package
